<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>js_lesson10_hw</title>
</head>
<style>
  * {
    font-size: 1.3rem;
  }

  pre {
    background: silver;

  }

  .green {
    color: green;
  }

  li:nth-child(odd) {
    background: #e1e6e5;
    margin: 1rem 0;
  }
</style>
<script>
  window.addEventListener("load", () => {
    document.getElementsByTagName("ol")[0].addEventListener("dblclick", (e) => {
      e.target.style.backgroundColor = "green"
      e.target.style.opacity = ".3"
      e.target.style.fontSize = ".8rem"
    })
  })
</script>
</head>

<body>
  <ol>
    <!--
  <li>
      Створіть на сторінці div і дайте йому зовнішній відступ 150 пікселів. Використовуючи JS виведіть у консоль
      відступ
  </li>
  -->
    <li>
      Створіть програму секундомір.
      <br>
      * Секундомір матиме 3 кнопки "Старт, Стоп, Скидання"<br>
      * При натисканні на кнопку стоп фон секундоміра має бути червоним, старт - зелений, скидання - сірий
      * Виведення лічильників у форматі ЧЧ:ММ:СС<br>
      * Реалізуйте Завдання використовуючи синтаксис ES6 та стрілочні функції
    </li>
    <li>

      Реалізуйте програму перевірки телефону<br>
      * Використовуючи JS Створіть поле для введення телефону та кнопку збереження<br>
      * Користувач повинен ввести номер телефону у форматі 0(Початок з 0)ХХ-ХХХ-ХХ-ХХ <br>

      * Після того як користувач натискає кнопку зберегти перевірте правильність введення номера, якщо номер
      правильний
      зробіть зелене тло і використовуючи document.location переведіть через 3с користувача на сторінку
      https://risovach.ru/upload/2013/03/mem/toni-stark_13447470_big_.jpeg
      якщо буде помилка, відобразіть її в діві до input.
    </li>
    <!--
  <li>
      Слайдер <br>
      Створіть слайдер кожні 3 сек змінюватиме зображення <br>
      Зображення для відображення<br>
      https://new-science.ru/wp-content/uploads/2020/03/4848-4.jpg<br>
      https://universetoday.ru/wp-content/uploads/2018/10/Mercury.jpg<br>
      https://naukatv.ru/upload/files/shutterstock_418733752.jpg<br>
      https://cdn.iz.ru/sites/default/files/styles/900x506/public/news-2018-12/20180913_zaa_p138_057.jpg<br>
      https://nnst1.gismeteo.ru/images/2020/07/shutterstock_1450308851-640x360.jpg
  </li>-->
  </ol>

  <!--stopwatch-->

  <style>
    .black {
      background: black;
    }

    .silver {
      background: rgba(88, 88, 88, .5);
    }

    .red {
      background: rgba(231, 40, 40, 0.5);
    }

    .green {
      background: rgba(39, 211, 76, 0.5);
    }

    .container-stopwatch {

      width: fit-content;
      padding: 1rem;
      text-align: center;
      border-radius: .5rem;
      box-shadow: 0 0 10px black;
    }

    .stopwatch-display {
      background: rgba(22, 97, 12, 0.5);
      padding: 1.5rem;
      font-weight: bold;
      box-sizing: border-box;
      font-size: 2rem;
      margin-bottom: 1rem;
    }

    .stopwatch-display span {
      font-size: 2rem;
    }

    .stopwatch-control button {
      text-transform: uppercase;
      color: white;
      background: rgba(0, 0, 0, 0.829);
      border: none;
      cursor: grab;
    }

    .stopwatch-control button:nth-child(2) {
      margin: 0 .5rem;
    }

    .number__container {
      margin-top: 100px;
    }

    .number__container input {
      display: block;
      width: 300px;
      height: 2rem;
      padding: 5px;
      border-radius: 8px;
    }

    .number__container button {
      margin-top: 20px;
      height: 2rem;
      padding: 5px;
      border-radius: 8px;
    }

    .slider__container {
      margin-top: 100px;
    }

    .slider__container>img {
      height: 300px;
    }
  </style>
  code

  <div class="container-stopwatch black">
    <div class="stopwatch-display"><span>00</span>:<span>00</span>:<span>00</span></div>
    <div class="stopwatch-control"><button>Start</button><button>Stop</button><button>Reset</button></div>
  </div>
  <script src="./js/main1.js"></script>
</body>

</html>